statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (C) 2012 Edward Kmett,
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | DeriveDataTypeable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Beta

Contents

- Constructor
- Accessors

Description

Synopsis

- data BetaDistribution
- betaDistr :: Double -> Double -> BetaDistribution
- improperBetaDistr :: Double -> Double -> BetaDistribution
- bdAlpha :: BetaDistribution -> Double
- bdBeta :: BetaDistribution -> Double

# Documentation

data BetaDistribution Source

The beta distribution

Instances

Eq BetaDistribution Source |
Data BetaDistribution Source |
Read BetaDistribution Source |
Show BetaDistribution Source |
Generic BetaDistribution Source |
ToJSON BetaDistribution Source |
FromJSON BetaDistribution Source |
Binary BetaDistribution Source |
ContGen BetaDistribution Source |
Entropy BetaDistribution Source |
MaybeEntropy BetaDistribution Source |
Variance BetaDistribution Source |
MaybeVariance BetaDistribution Source |
Mean BetaDistribution Source |
MaybeMean BetaDistribution Source |
ContDistr BetaDistribution Source |
Distribution BetaDistribution Source |
type Rep BetaDistribution Source |

# Constructor

betaDistr Source

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. Both shape parameters must be positive.

improperBetaDistr Source

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. This construtor doesn't check parameters.

# Accessors

bdAlpha :: BetaDistribution -> Double Source

Alpha shape parameter

bdBeta :: BetaDistribution -> Double Source

Beta shape parameter